# vim: set ft=spec: -*- rpm-spec -*-

Name: ccid
Version: 1.3.11
Release: alt1

Summary: USB CCID IFD Handler
Group: System/Libraries
License: LGPL
Url: https://alioth.debian.org/projects/pcsclite/

Requires: pcsc-lite

Source: %name-%version.tar
Patch: %name-%version-%release.patch

# Automatically added by buildreq on Thu Sep 10 2009
BuildRequires: flex libpcsclite-devel libusb-compat-devel

%define ifddir %(pkg-config libpcsclite --variable=usbdropdir)

%description
This package provides generic USB CCID (Chip/Smart Card Interface
Devices) driver for PC/SC Lite.

%prep
%setup
# Hack for symlink->file change generated by git diff
rm -f "c.sh"
printf '../../PCSC/%%s' "c.sh" > "c.sh"
for f in m4/acx_pthread.m4 src/misc.h src/tokenparser.l src/parser.h src/strlcpycat.h src/strlcpy.c; do
  rm -f "$f"
  printf '../../../PCSC/%%s' "$f" > "$f"
done
%patch -p1

%build
%autoreconf
%configure
%make_build

%install
%makeinstall_std

%files
%doc contrib/Kobil_mIDentity_switch/README_Kobil_mIDentity_switch.txt
%doc AUTHORS README NEWS SCARDCONTOL.txt SCARDGETATTRIB.txt
%_bindir/RSA_SecurID_getpasswd
%_sbindir/Kobil_mIDentity_switch
%ifddir/ifd-ccid.bundle
%_man1dir/RSA_SecurID_getpasswd.1*
%_man8dir/Kobil_mIDentity_switch.8*

%changelog
* Wed Sep 09 2009 Alexey I. Froloff <raorn@altlinux.org> 1.3.11-alt1
- Initial build

